com.genesyslab.wfm7.API.service.RTA712

## Class AgentFilter

- java.lang.Object
- - com.genesyslab.wfm7.API.service.RTA712.AgentFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class AgentFilter
      extends java.lang.Object
      implements java.io.Serializable

  Agent filter class contains filtering options
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private ItemSiteIDStruct[]` | `activityIDArray`
    `private int` | `activityIDArraySize`
    `private ItemSiteIDStruct[]` | `agentIDArray`
    `private int` | `agentIDArraySize`
    `private int[]` | `genesysStateIDs`
    `private int` | `genesysStateIDsSize`
    `private java.lang.String[]` | `reasonCodeArray`
    `private int` | `reasonCodeArraySize`
    `private int[]` | `showAdherenceStatus`
    `private int` | `showAdherenceStatusSize`
    `private int[]` | `stateGroupIDs`
    `private int` | `stateGroupIDsSize`
    `private ItemSiteIDStruct[]` | `teamIDArray`
    `private int` | `teamIDArraySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentFilter()`
    `AgentFilter(int stateGroupIDsSize, int[] stateGroupIDs, int genesysStateIDsSize, int[] genesysStateIDs, int showAdherenceStatusSize, int[] showAdherenceStatus, int reasonCodeArraySize, java.lang.String[] reasonCodeArray, int agentIDArraySize, ItemSiteIDStruct[] agentIDArray, int teamIDArraySize, ItemSiteIDStruct[] teamIDArray, int activityIDArraySize, ItemSiteIDStruct[] activityIDArray)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `ItemSiteIDStruct[]` | `getActivityIDArray()` Gets the activityIDArray value for this AgentFilter.
    `int` | `getActivityIDArraySize()` Gets the activityIDArraySize value for this AgentFilter.
    `ItemSiteIDStruct[]` | `getAgentIDArray()` Gets the agentIDArray value for this AgentFilter.
    `int` | `getAgentIDArraySize()` Gets the agentIDArraySize value for this AgentFilter.
    `int[]` | `getGenesysStateIDs()` Gets the genesysStateIDs value for this AgentFilter.
    `int` | `getGenesysStateIDsSize()` Gets the genesysStateIDsSize value for this AgentFilter.
    `java.lang.String[]` | `getReasonCodeArray()` Gets the reasonCodeArray value for this AgentFilter.
    `int` | `getReasonCodeArraySize()` Gets the reasonCodeArraySize value for this AgentFilter.
    `int[]` | `getShowAdherenceStatus()` Gets the showAdherenceStatus value for this AgentFilter.
    `int` | `getShowAdherenceStatusSize()` Gets the showAdherenceStatusSize value for this AgentFilter.
    `int[]` | `getStateGroupIDs()` Gets the stateGroupIDs value for this AgentFilter.
    `int` | `getStateGroupIDsSize()` Gets the stateGroupIDsSize value for this AgentFilter.
    `ItemSiteIDStruct[]` | `getTeamIDArray()` Gets the teamIDArray value for this AgentFilter.
    `int` | `getTeamIDArraySize()` Gets the teamIDArraySize value for this AgentFilter.
    `int` | `hashCode()`
    `void` | `setActivityIDArray(ItemSiteIDStruct[] activityIDArray)` Sets the activityIDArray value for this AgentFilter.
    `void` | `setActivityIDArraySize(int activityIDArraySize)` Sets the activityIDArraySize value for this AgentFilter.
    `void` | `setAgentIDArray(ItemSiteIDStruct[] agentIDArray)` Sets the agentIDArray value for this AgentFilter.
    `void` | `setAgentIDArraySize(int agentIDArraySize)` Sets the agentIDArraySize value for this AgentFilter.
    `void` | `setGenesysStateIDs(int[] genesysStateIDs)` Sets the genesysStateIDs value for this AgentFilter.
    `void` | `setGenesysStateIDsSize(int genesysStateIDsSize)` Sets the genesysStateIDsSize value for this AgentFilter.
    `void` | `setReasonCodeArray(java.lang.String[] reasonCodeArray)` Sets the reasonCodeArray value for this AgentFilter.
    `void` | `setReasonCodeArraySize(int reasonCodeArraySize)` Sets the reasonCodeArraySize value for this AgentFilter.
    `void` | `setShowAdherenceStatus(int[] showAdherenceStatus)` Sets the showAdherenceStatus value for this AgentFilter.
    `void` | `setShowAdherenceStatusSize(int showAdherenceStatusSize)` Sets the showAdherenceStatusSize value for this AgentFilter.
    `void` | `setStateGroupIDs(int[] stateGroupIDs)` Sets the stateGroupIDs value for this AgentFilter.
    `void` | `setStateGroupIDsSize(int stateGroupIDsSize)` Sets the stateGroupIDsSize value for this AgentFilter.
    `void` | `setTeamIDArray(ItemSiteIDStruct[] teamIDArray)` Sets the teamIDArray value for this AgentFilter.
    `void` | `setTeamIDArraySize(int teamIDArraySize)` Sets the teamIDArraySize value for this AgentFilter.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stateGroupIDsSize

          private int stateGroupIDsSize

    - #### stateGroupIDs

          private int[] stateGroupIDs

    - #### genesysStateIDsSize

          private int genesysStateIDsSize

    - #### genesysStateIDs

          private int[] genesysStateIDs

    - #### showAdherenceStatusSize

          private int showAdherenceStatusSize

    - #### showAdherenceStatus

          private int[] showAdherenceStatus

    - #### reasonCodeArraySize

          private int reasonCodeArraySize

    - #### reasonCodeArray

          private java.lang.String[] reasonCodeArray

    - #### agentIDArraySize

          private int agentIDArraySize

    - #### agentIDArray

          private ItemSiteIDStruct[] agentIDArray

    - #### teamIDArraySize

          private int teamIDArraySize

    - #### teamIDArray

          private ItemSiteIDStruct[] teamIDArray

    - #### activityIDArraySize

          private int activityIDArraySize

    - #### activityIDArray

          private ItemSiteIDStruct[] activityIDArray

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### AgentFilter

          public AgentFilter()

    - #### AgentFilter

          public AgentFilter(int stateGroupIDsSize,
                     int[] stateGroupIDs,
                     int genesysStateIDsSize,
                     int[] genesysStateIDs,
                     int showAdherenceStatusSize,
                     int[] showAdherenceStatus,
                     int reasonCodeArraySize,
                     java.lang.String[] reasonCodeArray,
                     int agentIDArraySize,
                     ItemSiteIDStruct[] agentIDArray,
                     int teamIDArraySize,
                     ItemSiteIDStruct[] teamIDArray,
                     int activityIDArraySize,
                     ItemSiteIDStruct[] activityIDArray)

  - ### Method Detail

    - #### getStateGroupIDsSize

          public int getStateGroupIDsSize()

      Gets the stateGroupIDsSize value for this AgentFilter.
      Returns:
        stateGroupIDsSize

    - #### setStateGroupIDsSize

          public void setStateGroupIDsSize(int stateGroupIDsSize)

      Sets the stateGroupIDsSize value for this AgentFilter.
      Parameters:
        `stateGroupIDsSize` -

    - #### getStateGroupIDs

          public int[] getStateGroupIDs()

      Gets the stateGroupIDs value for this AgentFilter.
      Returns:
        stateGroupIDs

    - #### setStateGroupIDs

          public void setStateGroupIDs(int[] stateGroupIDs)

      Sets the stateGroupIDs value for this AgentFilter.
      Parameters:
        `stateGroupIDs` -

    - #### getGenesysStateIDsSize

          public int getGenesysStateIDsSize()

      Gets the genesysStateIDsSize value for this AgentFilter.
      Returns:
        genesysStateIDsSize

    - #### setGenesysStateIDsSize

          public void setGenesysStateIDsSize(int genesysStateIDsSize)

      Sets the genesysStateIDsSize value for this AgentFilter.
      Parameters:
        `genesysStateIDsSize` -

    - #### getGenesysStateIDs

          public int[] getGenesysStateIDs()

      Gets the genesysStateIDs value for this AgentFilter.
      Returns:
        genesysStateIDs

    - #### setGenesysStateIDs

          public void setGenesysStateIDs(int[] genesysStateIDs)

      Sets the genesysStateIDs value for this AgentFilter.
      Parameters:
        `genesysStateIDs` -

    - #### getShowAdherenceStatusSize

          public int getShowAdherenceStatusSize()

      Gets the showAdherenceStatusSize value for this AgentFilter.
      Returns:
        showAdherenceStatusSize

    - #### setShowAdherenceStatusSize

          public void setShowAdherenceStatusSize(int showAdherenceStatusSize)

      Sets the showAdherenceStatusSize value for this AgentFilter.
      Parameters:
        `showAdherenceStatusSize` -

    - #### getShowAdherenceStatus

          public int[] getShowAdherenceStatus()

      Gets the showAdherenceStatus value for this AgentFilter.
      Returns:
        showAdherenceStatus

    - #### setShowAdherenceStatus

          public void setShowAdherenceStatus(int[] showAdherenceStatus)

      Sets the showAdherenceStatus value for this AgentFilter.
      Parameters:
        `showAdherenceStatus` -

    - #### getReasonCodeArraySize

          public int getReasonCodeArraySize()

      Gets the reasonCodeArraySize value for this AgentFilter.
      Returns:
        reasonCodeArraySize

    - #### setReasonCodeArraySize

          public void setReasonCodeArraySize(int reasonCodeArraySize)

      Sets the reasonCodeArraySize value for this AgentFilter.
      Parameters:
        `reasonCodeArraySize` -

    - #### getReasonCodeArray

          public java.lang.String[] getReasonCodeArray()

      Gets the reasonCodeArray value for this AgentFilter.
      Returns:
        reasonCodeArray

    - #### setReasonCodeArray

          public void setReasonCodeArray(java.lang.String[] reasonCodeArray)

      Sets the reasonCodeArray value for this AgentFilter.
      Parameters:
        `reasonCodeArray` -

    - #### getAgentIDArraySize

          public int getAgentIDArraySize()

      Gets the agentIDArraySize value for this AgentFilter.
      Returns:
        agentIDArraySize

    - #### setAgentIDArraySize

          public void setAgentIDArraySize(int agentIDArraySize)

      Sets the agentIDArraySize value for this AgentFilter.
      Parameters:
        `agentIDArraySize` -

    - #### getAgentIDArray

          public ItemSiteIDStruct[] getAgentIDArray()

      Gets the agentIDArray value for this AgentFilter.
      Returns:
        agentIDArray

    - #### setAgentIDArray

          public void setAgentIDArray(ItemSiteIDStruct[] agentIDArray)

      Sets the agentIDArray value for this AgentFilter.
      Parameters:
        `agentIDArray` -

    - #### getTeamIDArraySize

          public int getTeamIDArraySize()

      Gets the teamIDArraySize value for this AgentFilter.
      Returns:
        teamIDArraySize

    - #### setTeamIDArraySize

          public void setTeamIDArraySize(int teamIDArraySize)

      Sets the teamIDArraySize value for this AgentFilter.
      Parameters:
        `teamIDArraySize` -

    - #### getTeamIDArray

          public ItemSiteIDStruct[] getTeamIDArray()

      Gets the teamIDArray value for this AgentFilter.
      Returns:
        teamIDArray

    - #### setTeamIDArray

          public void setTeamIDArray(ItemSiteIDStruct[] teamIDArray)

      Sets the teamIDArray value for this AgentFilter.
      Parameters:
        `teamIDArray` -

    - #### getActivityIDArraySize

          public int getActivityIDArraySize()

      Gets the activityIDArraySize value for this AgentFilter.
      Returns:
        activityIDArraySize

    - #### setActivityIDArraySize

          public void setActivityIDArraySize(int activityIDArraySize)

      Sets the activityIDArraySize value for this AgentFilter.
      Parameters:
        `activityIDArraySize` -

    - #### getActivityIDArray

          public ItemSiteIDStruct[] getActivityIDArray()

      Gets the activityIDArray value for this AgentFilter.
      Returns:
        activityIDArray

    - #### setActivityIDArray

          public void setActivityIDArray(ItemSiteIDStruct[] activityIDArray)

      Sets the activityIDArray value for this AgentFilter.
      Parameters:
        `activityIDArray` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.